#!/usr/bin/python
import os
import re
import logging
import subprocess
import lib.helpers as helpers
from subprocess import check_output

FORMAT = "%(asctime)s %(levelname)s %(message)s"
logging.basicConfig(format=FORMAT, filename=__file__+'.log', level=logging.DEBUG)

aticonfig_available = helpers.is_exe("/usr/bin/aticonfig")
sensors_available = helpers.is_exe("/usr/bin/sensors")

if sensors_available:
    commands = ["sensors amdgpu-pci-* | grep temp1", "sensors radeon-pci-* | grep temp1", "sensors thinkpad-isa-0000 | grep ATI"]

    for try_command in commands:
        command = try_command
        try:
            return_command = check_output(command, stderr=subprocess.STDOUT, shell=True)
            if return_command is not None:
                break 
        except subprocess.CalledProcessError as commandexc:
            continue

if aticonfig_available:
    command = "aticonfig --odgt"

# Run command

return_value = check_output(command, shell=True)

# Default return value
if sensors_available:
    m = re.search(r'\+(.*)°C ',return_value.decode("utf-8"))
    print(m.group(1))
    logging.info(m.group(1))
elif aticonfig_available:
    m = re.search(r'- (.*) C',return_value.decode("utf-8"))
    print(m.group(1))
    logging.info(m.group(1))
else:
    print("?")
    logging.info('?')
